Subject: Re: GNU setup?
From: [email-masked] (Scott Warner)

1 Nov 1997 05:58:53 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Frank & casteed,

I have just set up gnu-win32.  Follow the instructions for installation, in
particular your autoexec.bat environmental variables (if you're running
Windows).  It should look like this:

SET PATH=%PATH%;D:\gnuwin32\b18\H-i386-cygwin32\bin;D:\gnuwin32\b18\tcl\bin
SET GCC_EXEC_PREFIX=D:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\
SET TCL_LIBRARY=D:/gnuwin32/b18/tcl/lib/tcl7.6
SET GDBTK_LIBRARY=D:/gnuwin32/b18/share/gdbtcl
SET
LIBRARY_PATH=D:\gnuwin32\b18\H-i386-cygwin32\lib;D:\gnuwin32\b18\H-i386-cygw
in32\i386-cygwin32\lib;

Of course, you would substitute the drive letter appropriately.  To compile
a simple c file, use the format
			gcc -o file.exe file.c

or			g++ -o file.exe file.cpp

for a simple cpp file.  See the gnuwin32\b18\info\gcc.nfo for an
explanation of using the program.  If you want to use the Unix tools, I
can't help you there -- I'm learning that too.

I'll also point you to the following

http://www.wtvl.net/mike/webjr/begcpp.htm
http://www.relisoft.com/

for two very good tutorial sites, depending on where you're at.  Don't
hesitate to ask if you have any other questions.

----------
> From: casteeld <[email-masked]>
> To: Frank C Dong <[email-masked]>
> Cc: [email-masked]
> Subject: Re: GNU setup?
> Date: Friday, October 31, 1997 4:10 PM
> 
> Frank,
> 
> I am having the same trouble, I am just starting out trying to learn C++
> if you find any help please share it with me. I of course will do the
> same.
> 
> Frank C Dong wrote:
> > 
> > Hi, I download the file cdk.exe and install it, but I don't know how to
> > setup and use it. Could you give me some instructions on the steps to
> > use it? Thanks!
> > Frank
> > -
> > For help on using this list (especially unsubscribing), send a message
to
> > "[email-masked]" with one line of text: "help".
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".